Package core :: Module shared_data :: Class SharedSet

[hide private]
[frames] | no frames]

# Class SharedSet

source code

    object --+
             |
            SharedSet

Instance Methods | [hide private]

__init__(self, java_set) | source code

__eq__(self, other) | source code

__len__(self) | source code

__str__(self) | source code

__iter__(self) | source code

add(self, obj) Add an object to the set | source code

clear(self) Clear the set | source code

delete(self, obj) Delete an object from the set | source code

each(self, func) Call the func for every element of the set | source code

empty(self) returns True if the set is empty | source code

include(self, obj) Does the set contain an element? | source code

size(self) returns the number of elements in the set | source code

_to_java_set(self) | source code

Method Details | [hide private]

### __init__(self, java_set)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

Overrides: object.__str__
  (inherited documentation)

### add(self, obj)

source code

Add an object to the set

Keyword arguments:

Parameters:
  - `obj` - The object to add
Returns:
  self

### delete(self, obj)

source code

Delete an object from the set

Keyword arguments:

Parameters:
  - `obj` - the object to delete

### each(self, func)

source code

Call the func for every element of the set

Keyword arguments:

Parameters:
  - `func` - The function to call.

### include(self, obj)

source code

Does the set contain an element?

Keyword arguments:

Parameters:
  - `obj` - the object to check if the set contains
Returns:
  True if the object is contained in the set